#!/bin/bash

# This script does all actions in backend production environment

rm -f /tmp/stop
cd `dirname "$0"`

. ./config.sh

if [ "$UID" = "0" ]
then
    SCRIPT=`pwd`/`basename "$0"`
    su -c "sh $SCRIPT" "$SYNCHRO_USER"
    exit $?
fi

mkdir -p ./logs

touch ./logs/checks.log

TMPF=`mktemp`

tail -f "$TMPF" | ./gen_site.pl -d -T /dev/shm -s /tmp/scheduler.sock -bt /challenge/ -ba /challenge-admin/ -o ./out ERRORS HOME all DS >> ./logs/generation.log &
KP=$!

trap "kill -9 $KP; rm -rf '$TMPF'; echo" INT TERM

while ! [ -f /tmp/stop ];
do
    if [ -n "$FRONTEND_HOSTNAME" ]
    then
	./synchro.sh delete >> ./logs/synchro.log 2>&1
    fi

    if [ `ls submission | wc -l` -gt 1 ] && [ -f submission/submission ]
    then
	./clear_cache.sh top >> ./logs/clear_cache.log
	./check.pl 2>> ./logs/checks.log >> "$TMPF"

    else
	sleep 1
    fi
done

kill -9 $KP

rm -rf "$TMPF"
