{extends file="layout.tpl"}

{block name=head}
{literal}
  <style>
    body{margin-top:100px;}
  </style>
{/literal}
{/block}

{block name=end}
  <script src="{$SALT_CDN}/js/countdown.js"></script>
  <script type="text/javascript">
  {if isset($END)}
    var end_challenge = new Date({$END * 1000});
  {/if}
    update_end();
  </script>
  {block name=end2}{/block}
{/block}

{block name=body}
    <nav class="navbar navbar-default navbar-inverse navbar-fixed-top" role="navigation">
      <div class="navbar-header">
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
          <span class="sr-only">Toggle navigation</span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
	{link class="navbar-brand" href_prefix="/{$SALT_ADMIN}/" href="" label="FIC"}
      </div>

      <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
        <ul class="nav navbar-nav">
          <li{if $menu_where == "teams"} class="active"{/if}>{link href_prefix="/{$SALT_ADMIN}/" href="teams" label="Équipes"}</li>
          <li{if $menu_where == "themes"} class="active"{/if}>{link href_prefix="/{$SALT_ADMIN}/" href="themes" label="Thèmes"}</li>
	{foreach from=$themes item=t}
	  <li class="dropdown{if $menu_where == $t->get_name()} active{/if}">
            {link href_prefix="/{$SALT_ADMIN}/" href="ex/{$t->get_id()}-{$t->get_name()}" class="dropdown-toggle" data-toggle="dropdown" label="{$t->get_name()} <b class=\"caret\"></b>"}
            <ul class="dropdown-menu">
 	      {foreach from=$t->get_exercices_ordered() item=e}
	      <li>{link href_prefix="/{$SALT_ADMIN}/" href="ex/{$t->get_id()}-{$t->get_name()}/{$e->get_id()}" label="{$e->get_title(true)}"}</li>
	      {/foreach}
            </ul>
          </li>
	{/foreach}
        </ul>

	<p class="navbar-right navbar-text"><span id="hours"></span>:<span id="min"></span>:<span id="sec"></span></p>
      </div>
    </nav>

    <div class="container" style="margin-top: 50px">

      {if $ERRmessage}
      <div class="alert alert-{$ERRcolor}">
        <button class="close" data-dismiss="alert">&times;</button>
        <i class="icon-warning-sign"></i> {$ERRmessage}
      </div>
      {/if}

      <div class="container">
        {block name=content}{/block}
      </div>
    </div>
{/block}
