{extends file="admin/layout.tpl"}

{block name=content}
<table class="table">
  <thead>
    <tr>
      <th>id</th>
      <th>Nom</th>
      <th>Slogan</th>
      <th>Membres</th>
      <th>Points</th>
      <th>Place</th>
      <th>Révoqué</th>
    </tr>
  </thead>
  {if $teams}
  <tbody>
  {foreach from=$teams item=t}
    <tr>
      <td>
        {$t->id}<br>
	<a href="?delete={$t->id}&name={$t->team_name}" onclick="return confirm('Êtes-vous sûr de vouloir supprimer cette équipe ?')">
          <span class="glyphicon glyphicon-trash"></span></a>
        <a href="/{$SALT_ADMIN}/certificate/get?name={$t->team_name}">
          <span class="glyphicon glyphicon-floppy-save"></span></a>
        {if not $t->revoked && is_file("{$MISC_DIR}/PKI/pkcs/{$t->team_name}.p12")}
        <a href="/{$SALT_ADMIN}/certificate/revoke?name={$t->team_name}"
          onclick="return confirm('Êtes-vous sûr de vouloir révoquer ce certificat ?')">
          <span class="glyphicon glyphicon-remove"></span></a>
        {else}
        <a href="/{$SALT_ADMIN}/certificate/newclient?name={$t->team_name}">
          <span class="glyphicon glyphicon-plus"></span></a>
        {/if}
      </td>
      <td>{$t->team_name}</td>
      <td>{$t->slogan}</td>
      <td><ul>
      {foreach from=$t->get_members() item=m}
        <li><span style="font-variant: small-caps">{$m->lastname}</span> <em>{$m->nickname}</em> {$m->firstname}</li>
      {/foreach}
      </ul></td>
      <td>{$t->get_pts()}</td>
      <td>{$t->get_rank()}</td>
      <td>{if $t->revoked}Oui{else}Non{/if}</td>
    </tr>
  {/foreach}
  </tbody>
  {/if}
  <tfoot>
    <tr>
      <td colspan="6">
        <a class="btn btn-success" href="/{$SALT_ADMIN}/teams/import" role="button">
          <span class="glyphicon glyphicon-cloud-upload"></span> Importer</a>
{if $teams}
        <a class="btn btn-primary" href="/{$SALT_ADMIN}/teams/export" role="button">
          <span class="glyphicon glyphicon-floppy-save"></span> Exporter</a>
        <a class="btn btn-danger" href="/{$SALT_ADMIN}/teams/?drop" onclick="return confirm('Êtes-vous sûr de vouloir vider la table des équipes ?')" role="button">
          <span class="glyphicon glyphicon-trash"></span> Vider</a>
{/if}
      </td>
    </tr>
  </tfoot>
</table>
{/block}
