{extends file="layout.tpl"}

{block name=head}
<link href="{$SALT_CDN}/css/main.css" type="text/css" rel="stylesheet">
{/block}

{block name=end}
<script src="{$SALT_CDN}/js/countdown.js"></script>
<script type="text/javascript">
{if isset($END)}
  var end_challenge = new Date({$END * 1000});
{/if}
  update_end();
</script>
{/block}

{block name=body}
  {if $my_team->id}
    {include file="clock.tpl"}
  {else}
    <div class="clock">
      <div id="ficlogo">
        <a href="{$SALT_PUBLIC}/">
          <img src="{$SALT_CDN}/img/challenge.jpg" alt="Forum International de la Cybersécurité">
	</a>
      </div>
      <div id="epitalogo">
        <a href="http://www.epita.fr/">
          <img src="{$SALT_CDN}/img/epita.png" alt="Epita">
	</a>
      </div>
      <div id="Date"></div>
      <ul><li>Challenge forensic</li></ul>
    </div>
  {/if}
    <div class="container" style="margin-top: 25px">

      {if $ERRmessage}
      <div class="alert alert-{$ERRcolor}">
        <button class="close" data-dismiss="alert">&times;</button>
        <i class="icon-warning-sign"></i> {$ERRmessage}
      </div>
      {/if}

      <div class="row">
        <div class="col-md-2">
	 {if $my_team->id}
          <aside class="panel panel-default">
	   <div class="panel-body">
	    <p>
              <span style="font-weight: bolder;">{$my_team->get_name()}{link class="badge pull-right" href_prefix="/{$SALT_USER}/{$my_team->get_id()}/" href="me/" label="Info"}</span>
	      <em>{$my_team->get_slogan()}</em>
            </p>
	    <p>
  	      {$my_team->get_pts()} points{link class="badge pull-right" href_prefix="/{$SALT_USER}/{$my_team->get_id()}/" href="summary/"  label="Synthèse"}<br>
	      {$my_team->get_rank()}<sup>e</sup> sur {Team::get_nb_teams()}{link class="badge pull-right" href_prefix="/{$SALT_USER}/{$my_team->get_id()}/" href="rank/"  label="D&eacute;tails"}
  	    </p>
	   </div>
          </aside>
	 {/if}

          <div class="list-group">
          {foreach from=$themes item=t key=k}
            <a class="list-group-item" href="{link notag=1 href_prefix="/{$SALT_USER}/{$my_team->get_id()}/" href="{$t->get_id()}-{$t->get_name_url()}/"}">
	      <span class="badge">{if $my_team->id}{$my_team->get_nb_res_exercises_by_theme($t->get_id())}/{/if}{$t->get_nb_exercices()}</span>
              {$t->get_name()}
            </a>
          {/foreach}
          </div>
        </div>

        <div class="col-md-10">
          {block name=content}{/block}
        </div>
      </div>
    </div>
{/block}
