#!/bin/bash

# This script synchronizes first, the generated frontend and then
# retrieves submissions

cd `dirname "$0"`

. ./config.sh

if [ "$UID" = "0" ]
then
    SCRIPT=`pwd`/`basename "$0"`
    su -c "sh $SCRIPT $@" "$SYNCHRO_USER"
    exit $?
fi

SSH_OPTS="ssh -p 2242 -o 'UserKnownHostsFile=/dev/null' -o 'StrictHostKeyChecking=no' -i .ssh/id_rsa"
OPTS=
if [ "$1" = "delete" ]
then
    OPTS="$OPTS --delete"
fi

# Synchronize HTML pages
rsync -e "$SSH_OPTS" -av  $OPTS out "$FRONTEND_HOSTNAME":~/
rsync -e "$SSH_OPTS" -av        front shared "$FRONTEND_HOSTNAME":~/
rsync -e "$SSH_OPTS" -avL $OPTS files "$FRONTEND_HOSTNAME":~/

# Synchronize submissions
rsync -e "$SSH_OPTS" -av "$FRONTEND_HOSTNAME":~/submission/ submission/
eval $SSH_OPTS "$FRONTEND_HOSTNAME" "rm -fv ~/submission/*"

exit $?
